Bug 1059253 - Man page states default_shell option supersedes other shell options but in fact override_shell does.
Summary: Man page states default_shell option supersedes other shell options but in fa...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 13:50 UTC by Amith
Modified: 2020-05-02 17:36 UTC (History)
6 users (show)

Fixed In Version: sssd-1.11.2-36.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 10:29:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 3257 0 None None None 2020-05-02 17:36:45 UTC

Description Amith 2014-01-29 13:50:57 UTC
Description of problem:
According to man page for sssd.conf, default_shell option supersedes any other shell options if it takes effect and can be set either in the [nss] section or per-domain. However, during my testing i observed that override_shell infact takes precedence over other shell options. Man page needs correction accordingly.


Version-Release number of selected component (if applicable):
sssd-1.11.2-13.el7.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jakub Hrozek 2014-01-29 16:34:02 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2215

Comment 4 Amith 2014-02-06 12:44:22 UTC
Verified the bug on SSSD Version: sssd-1.11.2-37.el7.x86_64

Comment 5 Ludek Smid 2014-06-13 10:29:14 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.